import { FormControl, ValidatorFn, ValidationErrors } from '@angular/forms';
export declare const required: (control: FormControl) => ValidationErrors;
export declare const validEmail: (control: FormControl) => ValidationErrors;
export declare const phoneRequired: (control: FormControl) => ValidationErrors;
export declare const validPhone: (control: FormControl) => ValidationErrors;
export declare const validDate: (control: FormControl) => ValidationErrors;
export declare const futureDateNotAllowed: (control: FormControl) => ValidationErrors;
export declare const validateMaxAge: (control: FormControl, maxAge?: number, maxAgeMessage?: string) => ValidationErrors;
export declare const validateMinAge: (control: FormControl, minAge?: number, minAgeMessage?: string) => ValidationErrors;
export declare const validAge: (minAge: number, minAgeMessage: string, maxAge: number, maxAgeMessage: string, callback: () => ValidationErrors) => ValidatorFn;
