import { OnInit, Injector, AfterViewChecked, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { ElibHTTPStatus } from '../../interceptors/httploader.interceptor';
import { ElibSharedService } from '../../services/elib-shared.service';
import { ElibStorageService } from '../../services/elib-storage.service';
import { ElibDataLayerService } from '../../services/elib-datalayer.service';
export declare class ElibAppWrapperComponent implements AfterViewChecked, AfterViewInit, OnInit {
    private readonly injector;
    private readonly cdRef;
    private readonly dataLayerService;
    $showHelp: boolean;
    $showSave: boolean;
    $showBanner: boolean;
    set showHelp(value: boolean);
    get showHelp(): boolean;
    set showSave(value: boolean);
    get showSave(): boolean;
    set showBanner(value: boolean);
    get showBanner(): boolean;
    busy: any;
    httpStatus: ElibHTTPStatus;
    router: Router;
    sharedService: ElibSharedService;
    storage: ElibStorageService;
    isThankYouPage: boolean;
    message: string;
    translateClient: TranslateService;
    private languageCookie;
    previousLang: string;
    constructor(injector: Injector, cdRef: ChangeDetectorRef, dataLayerService: ElibDataLayerService);
    getParamValue(param: any): RegExpMatchArray;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    callToSaveDataOnLocalstorage(): import("../../services/elib-shared.service").ElibFieldsData;
    ngAfterViewInit(): void;
    private setCookie;
    private deleteCookie;
    private getLanguageCookie;
}
